using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class Pontos : MonoBehaviour {

	public Text tempo;
	public float currentTime;
	public int time;

	//Estrelas
	//public GameObject StarC1;
	public GameObject StarV1;
	//public GameObject StarC2;
	public GameObject StarV2;
	//public GameObject StarC3;
	public GameObject StarV3;

	public void Pontuacao(){
		currentTime += Time.deltaTime;
		time = (int)currentTime;
		tempo.text = ("Time: ") + time.ToString ();

		if (time > 10) {
			//Destivar uma estrela
			StarV1.SetActive(false);
		}
		if (time > 20) {
			//Desativar segunda estrela
			StarV2.SetActive(false);
		}
		if (time > 40) {
			StarV3.SetActive(false);
		}
	}

	// Use this for initialization
	void Start () {
		
	}
	
	// Update is called once per frame
	void Update () {
		Pontuacao ();
	}
}
